mpt1327(1)

NAME
mpt1327 - http://osmocom-analog.eversberg.eu/docs/

SYNOPSIS
mpt1327 -k <kanal/channel> -O ... | -I ... [options] [station_id]

  Global options:

-h --help

    This help

--config [~/]<path to config file>

    Give a config file to use. If it starts with '~/', path is at home dir. Each line in config file is one option, '-' or '--' must not be given! Default: '~/.osmocom/analog/mpt1327.conf'

--no-config

    Even if a config file exists, don't use it.

-v --verbose <level> | <level>,<category>[,<category>[,...]] | list

    Use 'list' to get a list of all levels and categories. Verbose level: digit of debug level (default = '3') Verbose level+category: level digit followed by one or more categories -> If no category is specified, all categories are selected

-v --verbose date

    Show date with debug output

-k --kanal <channel>

-k --channel <channel>

    Channel (German = Kanal) number of "Sender" (German = Transceiver)

-a --audio-device hw:<card>,<device>[/hw:<card>.<rec-device>]

    Sound card and device number (default = 'hw:0,0') You may specify a different recording device by using '/'. Don't set it for SDR!

-s --samplerate <rate>

    Sample rate of sound device (default = '48000')

-i --interval 0.1..25

    Interval of processing loop in ms (default = '1.0' ms) Use 10 to drastically reduce CPU usage. In case of buffer underrun, increase buffer accordingly.

-b --buffer <ms>

    How many milliseconds are processed in advance (default = '50') A buffer below 10 ms requires low interval like 0.1 ms.

-p --pre-emphasis

    Enable pre-emphasis, if you directly connect to the oscillator of the transmitter. (No pre-emphasis done by the transmitter.)

-d --de-emphasis

    Enable de-emphasis, if you directly connect to the discriminator of the receiver. (No de-emphasis done by the receiver.)

--rx-gain <dB>

    Raise/lower receiver's RX level by given gain in dB. (Works with sound card only.)

--tx-gain <dB>

    Raise/lower transmitters's RX level by given gain in dB. (Works with sound card only.)

-e --echo-test

    Use echo test, to send back audio from mobile phone's microphone to the speaker. (German: 'Blasprobe').

-c --call-device hw:<card>,<device>[/hw:<card>.<rec-device>]

    Sound card and device number for headset (default = '') You may specify a different recording device by using '/'.

--call-samplerate <rate>

    Sample rate of sound device for headset (default = '48000')

--call-buffer <ms>

    How many milliseconds are processed in advance (default = '50')

-x --osmocc-cross

    Enable built-in call forwarding between mobiles. Be sure to have at least one control channel and two voice channels. Alternatively use one combined control+voice channel and one voice channels.

-o --osmocc-sock

    Disable built-in call control and offer socket

--cc "<osmo-cc arg>" [--cc ...]

    Pass arguments to Osmo-CC endpoint. Use '-cc help' for description.

--no-l16

    Disable L16 (linear 16 bit) codec.

-t --tones 0 | 1

    Connect call on setup/release to provide classic tones towards fixed network (default = '1')

-l --loopback <type>

    Loopback test: 1 = internal | 2 = external | 3 = echo

-r --realtime <prio>

    Set prio: 0 to disable, 99 for maximum (default = 0)

--fast-math

    Use fast math approximation for slow CPU / ARM based systems.

--write-rx-wave <file>

    Write received audio to given wave file.

--write-tx-wave <file>

    Write transmitted audio to given wave file.

--read-rx-wave <file>

    Replace received audio by given wave file.

--read-tx-wave <file>

    Replace transmitted audio by given wave file.

--limesdr

    Auto-select several required options for LimeSDR

--limesdr-mini

    Auto-select several required options for LimeSDR Mini

  SDR options:

--sdr-soapy

    Force SoapySDR driver

--sdr-channel <channel #>

    Give channel number for multi channel SDR device (default = 0)

--sdr-device-args <args>

--sdr-stream-args <args>

--sdr-tune-args <args>

    Optional SDR device arguments, separated by comma e.g. --sdr-device-args <key>=<value>[,<key>=<value>[,...]]

--sdr-samplerate <samplerate>

    Sample rate to use with SDR. By default it equals the regular sample rate.

--sdr-lo-offset <Hz>

    Give frequency offset in Hz to move the local oscillator away from the target frequency. (default = -1000000)

--sdr-bandwidth <bandwidth>

    Give IF filter bandwidth to use. If not, sample rate is used.

--sdr-rx-antenna <name>

    SDR device's RX antenna name, use 'list' to get a list

--sdr-tx-antenna <name>

    SDR device's TX antenna name, use 'list' to get a list

--sdr-clock-source <name>

    SDR device's clock sourc name, use 'list' to get a list

--sdr-rx-gain <gain>

    SDR device's RX gain in dB (default = 0.0)

--sdr-tx-gain <gain>

    SDR device's TX gain in dB (default = 0.0)

--write-iq-rx-wave <file>

    Write received IQ data to given wave file.

--write-iq-tx-wave <file>

    Write transmitted IQ data to given wave file.

--read-iq-rx-wave <file>

    Replace received IQ data by given wave file.

--read-iq-tx-wave <file>

    Replace transmitted IQ data by given wave file.

--sdr-swap-links

    Swap RX and TX frequencies for loopback tests over the air.

--sdr-timestamps 1 | 0

    Use TX timestamps on UHD device. (default = 1)

  Network specific options:

-B --band <name> | list

    Select frequency Band (default = 'Regionet43/1')

-T --channel-type <channel type> | list

    Give channel type, use 'list' to get a list. (default = 'CC/TC')

-O --operator <OPID> <NDD> <LAB>

-> decimal, '0x' for hex or all binary digits

    Give System Identity Code of regional network (1st bit = 0) OPID: Operator Identity (7 binary digits)

-> Check subscription data of mobile unit

    NDD: Network Dependent Data (4 binary digts)

-> Check subscription data of mobile unit (must be '0001' or greater)

-> Change it to force re-registering of mobile unit.

    LAB: Label for multiple control channels (3 binary digits)

-> Use '001' to allow all categories

-N --net <NET> <NDD> <LAB>

-> decimal, '0x' for hex or all binary digits

    Give System Identity Code of national network (1st bit = 1) NET: Network Identity (2 binary digits)

-> Check subscription data of mobile unit (must be '000000001' or greater)

-> Change it to force re-registering of mobile unit.

    NDD: Network Dependent Data (9 binary digts) LAB: Label for multiple control channels (3 binary digits)

-> Use '001' to allow all categories

-S --sysdef wt=5 | wt=10 | wt=15

    Number of slots the Radio Unit waits for response. A slot lasts about 107 ms. (default = 10)

-S --sysdef per=<secs> | per=0

    Interval of periodic messages from the Radio Unit while transmitting speech. Use 1..31 to enable and 0 to disable. Also the 'timeout' value must be greater than value given here. (default = 5)

-S --sysdef pon=1 | pon=0

    The Radio Unit must send 'Pressel On' message to unmute the uplink. If disabled, squelch must be enabled. (default = 1)

-S --sysdef timeout=<secs> | timeout=off

    The Traffic Channel is released, if no radio transmits for given amount of time. (default = 30)

-Q --squelch <dB> | auto

    Use given RF level to detect transmission on Traffic Channel, if 'Pressel On' is disabled. and stays below this level, the connection is released. Use 'auto' to do automatic noise floor calibration to detect loss. Only works with SDR! (disabled by default)

station_id: Give 7 digits of station ID,

    so you don't need to enter it for every start of this application. Give 7 digits for number 'pppiiii' (prefix, ident).

Press digits '0'..'9' and then 'd' key to dial towards mobile station. Press 'h' key to hangup. Press 'w' key to toggle display of RX wave form. Press 'c' key to toggle display of channel status. Press 'm' key to toggle display of measurement value. Press 'q' key to toggle display of RX I/Q vector. Press 's' key to toggle display of RX spectrum. Press 'b' key to remove DC level. Press 'i' key to dump list of seen Radio Units.